package com.mvc.iot.onenet.model;

/**
 * OneNet平台设备API请求参数
 */
public class OneNetDeviceApiModel implements java.io.Serializable{
    private String product_id;//必填，产品ID
    private String device_name;//必填，设备名称，格式为英文字母、数字、短横线-和下划线_，长度不超过64位
    private String imei;//LwM2M设备专有，当接入协议为LwM2M时必填，15位数字
    private String imsi;//LwM2M设备专有，必填，1-15位数字

    public OneNetDeviceApiModel(){
        super();
    }

    public OneNetDeviceApiModel(String product_id, String device_name,String imei,String imsi){
        this.product_id = product_id;
        this.device_name = device_name;
        this.imei = imei;
        this.imsi = imsi;
    }

    public String getProduct_id() {
        return product_id;
    }

    public void setProduct_id(String product_id) {
        this.product_id = product_id;
    }

    public String getDevice_name() {
        return device_name;
    }

    public void setDevice_name(String device_name) {
        this.device_name = device_name;
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getImsi() {
        return imsi;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi;
    }
}
